﻿using System;
using System.Linq;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            plot.XLabel("X축");
            plot.YLabel("Y축");

            int pointCount = 100;

            Random random = new Random(0);

            double[]   yValueArray   = DataGen.RandomWalk(random, pointCount);
            DateTime[] dateTimeArray = Enumerable.Range(0, pointCount).Select(x => new DateTime(2016, 06, 27).AddDays(x)).ToArray();
            double[]   xValueArray   = dateTimeArray.Select(x => x.ToOADate()).ToArray();

            plot.AddScatter(xValueArray, yValueArray);

            Crosshair crosshair = plot.AddCrosshair(xValueArray[50], yValueArray[50]);

            crosshair.HorizontalLine.PositionFormatter = position => position.ToString("F4");
            crosshair.VerticalLine.PositionFormatter   = position => DateTime.FromOADate(position).ToString("d");

            plot.XAxis.DateTimeFormat(true);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}